Name: d3dcompiler_47
Description: Microsoft d3dcompiler_47.dll
Provider: Microsoft
License: Microsoft EULA
License_url: https://www.microsoft.com/web/webpi/eula/net_library_eula_enu.htm
Dependencies: []
Steps:
- action: archive_extract
  file_name: d3dx9.tar.xz
  url: https://proxy.usebottles.com/redistributable/dependencies/d3dx9.tar.xz
  file_checksum: 0e444b86310e732f50a971466f3f06a3
  file_size: 100275120
  dest: temp/d3dx9/

- action: copy_dll
  url: temp/d3dx9.tar/d3dx9/win32/
  file_name: d3dcompiler*_47.dll
  dest: win32

- action: copy_dll
  url: temp/d3dx9.tar/d3dx9/win64/
  file_name: d3dcompiler*_47.dll
  dest: win64
  for:
    - win64

- action: override_dll
  dll: d3dcompiler_47
  type: native,builtin
